Subject: Re: [PATCH 08/10] bootwrapper: Add a firmware-independent "raw" target.

From: David Gibson <[email-masked]>
Date: Fri, 7 Sep 2007 10:58:03 +1000

On Wed, Sep 05, 2007 at 02:21:16PM -0500, Scott Wood wrote:
> This target produces a flat binary rather than an ELF file,
> fixes the entry point at the beginning of the image, and takes
> a complete device tree with no fixups needed.
> 
> The device tree must have labels on /#address-cells, the timebase
> frequency, and the memory size.

Hrm... the actual contents of this patch are less about producing an
unheadered binary image than they are about introducing the "raw"
platform.  I don't mind the idea of a "raw" platform (although I'm not
sure I like that name for it), but the patch comment needs work.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson